## com.sun.jersey.core.reflection
Class AnnotatedMethod

    java.lang.Object
      com.sun.jersey.core.reflection.AnnotatedMethod

All Implemented Interfaces:
  java.lang.reflect.AnnotatedElement

    public final class AnnotatedMethod

extends java.lang.Object
implements java.lang.reflect.AnnotatedElement

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`AnnotatedMethod(java.lang.reflect.Method m)`

Method Summary

`

`<T extends java.lang.annotation.Annotation> T`

`

`getAnnotation(java.lang.Class<T> annotationType)`

`java.lang.annotation.Annotation[]` `getAnnotations()`
`java.lang.annotation.Annotation[]` `getDeclaredAnnotations()`
`java.lang.reflect.Type[]` `getGenericParameterTypes()`

`

`<T extends java.lang.annotation.Annotation> java.util.List<T>`

`

`getMetaMethodAnnotations(java.lang.Class<T> annotation)`

`java.lang.reflect.Method` `getMethod()`
`java.lang.annotation.Annotation[][]` `getParameterAnnotations()`
`java.lang.Class<?>[]` `getParameterTypes()`
`java.lang.reflect.TypeVariable<java.lang.reflect.Method>[]` `getTypeParameters()`
`boolean` `isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotatedMethod

    public AnnotatedMethod(java.lang.reflect.Method m)

Method Detail

### getMethod

    public java.lang.reflect.Method getMethod()

### getParameterAnnotations

    public java.lang.annotation.Annotation[][] getParameterAnnotations()

### getParameterTypes

    public java.lang.Class<?>[] getParameterTypes()

### getTypeParameters

    public java.lang.reflect.TypeVariable<java.lang.reflect.Method>[] getTypeParameters()

### getGenericParameterTypes

    public java.lang.reflect.Type[] getGenericParameterTypes()

### getMetaMethodAnnotations

    public <T extends java.lang.annotation.Annotation> java.util.List<T> getMetaMethodAnnotations(java.lang.Class<T> annotation)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isAnnotationPresent

    public boolean isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

  Specified by:
    `isAnnotationPresent` in interface `java.lang.reflect.AnnotatedElement`

### getAnnotation

    public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotationType)

  Specified by:
    `getAnnotation` in interface `java.lang.reflect.AnnotatedElement`

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

  Specified by:
    `getAnnotations` in interface `java.lang.reflect.AnnotatedElement`

### getDeclaredAnnotations

    public java.lang.annotation.Annotation[] getDeclaredAnnotations()

  Specified by:
    `getDeclaredAnnotations` in interface `java.lang.reflect.AnnotatedElement`

Copyright © 2017 Oracle Corporation. All Rights Reserved.